require './thermostat'
#
class JSONThermostat
  attr_accessor :settings
  def initialize(settingjson)
    @settings = JSON.parse(settingjson)
    @wanted_value = unit_conversion(settings['temperature'], settings['unit'])
    @range = unit_conversion(settings['range'], settings['unit']) .abs
  end

  attr_accessor :temp, :wanted_value, :range
  def update(update_value)
    @temp = JSON.parse(update_value)
    updated_temp = unit_conversion(temp['temperature'], temp['unit'])
    Thermostat.checkTemp(updated_temp, wanted_value, range)
  end

  attr_accessor :value, :unit
  def unit_conversion(value, unit)
    @value = value
    @unit = unit
    if unit == 'fahrenheit'
      return ((value - 32) / 1.8)
    elsif unit == 'kelvin'
      return (value - 273.15)
    else
      return value
    end
  end
end
